
#if 0%{?fedora} > 2 || %{?rhel} > 3
%define _enable_ofxbanking --enable-ofxbanking --enable-ofxplugin 
%define ofx_deps libofx-devel, openjade-devel >= 1.3.2
#endif

%if 0%{?fedora} > 4 || 0%{?rhel} > 4
#define _enable_kbanking --enable-kbanking
%define ofx_deps libofx-devel opensp-devel
%endif

Summary: Personal finance 
Name:	 kmymoney2
Version: 0.8.6
Release: 1%{?dist}

License: GPL
Url:	 http://kmymoney2.sourceforge.net/
Group:	 Applications/Productivity
Source:	 http://dl.sourceforge.net/sourceforge/kmymoney2/kmymoney2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

# Upstream (and rpmforge) call this kmymoney, so we'll get ready.
Obsoletes: kmymoney < %{version}-%{release}
Provides:  kmymoney = %{version}-%{release}

BuildRequires: gettext
BuildRequires: libxml2-devel
BuildRequires: ghostscript
BuildRequires: kdelibs-devel
%{?_enable_ofxbanking:BuildRequires: %{ofx_deps}}
%{?_with_check:BuildRequires: cppunit-devel >= 1.8.0}
%{?_enable_kbanking:BuildRequires: aqbanking-devel}

%description
KMyMoney is striving to be a full-featured replacement for your
Windows-based finance software.  We are a full double-entry accounting
software package, for personal or small-business use.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Provides: kmymoney-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q -n kmymoney2-%{version}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --disable-final \
  %{?_enable_kbanking} %{!?_enable_kbanking: --disable-kbanking } \
  %{?_enable_ofxbanking} %{!?_enable_ofxbanking: --disable-ofxbanking --disable-ofxplugin } \
  %{?_with_check:--disable-final}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name}
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


# Currently broken w/--enable-final: http://bugs.kde.org/115863
%check 
%{?_with_check:make check }


%post
/sbin/ldconfig
for icon_theme in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig 
for icon_theme in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/kmymoney*
%{_datadir}/apps/kmymoney2/
%{_datadir}/applications/kde/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*.desktop
%{_libdir}/lib*.so.*
%if "%{?_enable_ofxbanking:1}" == "1"
%{_libdir}/kde3/kmm_ofximport.*
%endif
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Mar 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.6-1
- kmymoney2-0.8.6
- fix Obsoletes: kmymoney

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.5-3
- fix _enable_ofxbanking macro usage to re-enable ofx support

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-2
- drop desktop-file-utils bits
- Ob/Pr: kmymoney(-devel), upstream/rpmforge calls it kmymoney

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-1
- 0.8.5

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-2
- --disable-final (for now)
- BR: gettext

* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-1
- 0.8.4

* Thu Apr 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-3
- desktop-file-install --vendor=""

* Wed Feb 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-1
- 0.8.3

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Sat Dec 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-7
- gcc41 patch

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-6
- cleanup ofx deps

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-5
- cleanup %%post
- fc5 respin for new(er) libofx

* Mon Nov 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-4
- relax BR: kdelibs-devel to 3.3 (for aurora/sparc, #173133)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-3
- fix relative symlinks

* Wed Nov 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-2
- qt-3.3.5 patch
- 'make check' workaround (kde bug #115863)
- trim %%description

* Sat Nov 05 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-5
- drop useless macros
- use %%fedora,%%rhel to conditionalize ofxbanking support

* Fri Oct 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-4
- %%post,%%postun: gtk-update-icon-cache, update-desktop-database
- omit lib*.la
- x86_64: set QTDIR/QTLIB

* Thu Sep 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-3
- BR: libofx-devel

* Tue Aug 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-2
- simplify specfile
- fix build

* Fri Aug 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-1
- 0.8

